/* ==========================================================================
  SUB HEADER
===========================================================================*/

.subheader {
  position: relative;
  display: flex;
  align-items: center;
  height: 215px;
  background-color: $color-primary;
  overflow: hidden;

  @include mq('laptop', 'max') {
    height: 180px;
  }

  @include mq('tablet', 'max') {
    height: 130px;
  }

  &::before {
    content: '';
    display: block;
    position: absolute;
    top: 30%;
    right: -80px;
    width: 800px;
    height: 495px;
    opacity: .2;
    background: url("../images/logo-image.svg") no-repeat;
    transform: translateY(-50%);

    @include mq('laptop', 'max') {
      top: 42%;
      width: 500px;
      height: 345px;
    }

    @include mq('tablet', 'max') {
      top: 55%;
      width: 300px;
      height: 215px;
    }

    @include mq('tablet-small', 'max') {
      width: 250px;
      height: 185px;
    }
  }

  &.pattern-ragged {

    &::after {
      @include mq('tablet', 'max') {
        width: 1000px;
        height: 70px;
      }
    }
  }

  .container {
    position: relative;
    z-index: 3;
    display: flex;
    align-items: center;
  }
}

.subheader__title {
  font-size: $font-size-h2;
  color: $color-white;
  margin: 0 0 10px;
  line-height: 1.2;

  + .subheader__button {
    margin-left: 35px;
  }
}

.subheader__button {

  @include mq('tablet-small', 'max') {
    display: none;
  }
}

/* end sub header */
